import type {
  BaseOption,
  CSelectInfo,
  CSelectMutipleTag,
  CSelectRadio,
} from '@/types/HomeTypes'
import { CSelectType } from '@/types/HomeTypes'
import { reactive } from 'vue'

//  总览数据的选择框的信息格式
interface OverviewSelectInfo extends CSelectInfo {
  mediaSelect: CSelectRadio
  // dateSelect: CSelectDate
  customIndicatorSelect: CSelectMutipleTag
}

// const { createSelectDateOption } = useDate()
export type { OverviewSelectInfo }

export function useOverviewSelect() {
  // 媒体选择选项
  const mediaSelectOptions: Array<BaseOption> = [
    {
      label: '全部媒体',
      value: 'all',
    },
  ]
  // 自定义指标选择
  // const indicatorSelectOptions: Array<BaseOption> = [
  //   {
  //     label: '测试1',
  //     value: 'ce1',
  //   },
  //   {
  //     label: '测试2',
  //     value: 'ce2',
  //   },
  //   {
  //     label: '测试3',
  //     value: 'ce3',
  //   },
  //   {
  //     label: '测试4',
  //     value: 'ce4',
  //   },
  //   {
  //     label: '测试5',
  //     value: 'ce5',
  //   },
  //   {
  //     label: '测试6',
  //     value: 'ce6',
  //   },
  // ]

  // 广告数据选择栏数据
  const overviewSelectInfo = reactive<OverviewSelectInfo>({
    mediaSelect: {
      type: CSelectType.Radio,
      name: 'media',
      value: mediaSelectOptions[0].value,
      options: mediaSelectOptions,
    },
    // dateSelect: {
    //   type: CSelectType.Radio,
    //   name: 'date',
    //   value: dateSelectOptions[0].value,
    //   options: dateSelectOptions,
    // },
    customIndicatorSelect: {
      tagText: '自定义指标',
      type: CSelectType.MultipleTag,
      name: 'customIndicator',
      value: [],
      options: [],
    },
  })

  return {
    overviewSelectInfo,
  }
}
