import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'

import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import '@/assets/base.css'
import '@/assets/css/common.css'

const app = createApp(App)

for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}
app.use(createPinia())

app.use(router)
// 捕获全局错误
app.config.errorHandler = (err, instance, info) => {
  console.log(err) // 错误对象
  console.log(instance) // 触发该错误的组件实例
  console.log(info) // 指出错误来源类型信息的字符串
}

app.mount('#app')
