import type { BaseFieldInfo } from '../table'
// 广告主表格数据
interface AdvertiserData {
  accountBalance: number
}

// 商务管家或业务单元表格数据
interface BusinessManagerData {
  accountBalance: number
}

// 代理商表格数据
interface AgencyData {
  accountBalance: number
}

// 广告主表格字段key
type AdvertiserKeys = keyof AdvertiserData

// 广告主表格字段信息
interface AdvertiserFields extends BaseFieldInfo {
  name: AdvertiserKeys
}

// 商务管家或业务单元表格字段Key
type BusinessManagerKeys = keyof BusinessManagerData

// 商务管家或业务单元表格字段信息
interface BusinessManagerFields extends BaseFieldInfo {
  name: BusinessManagerKeys
}

// 代理商表格字段
type AgencyKeys = keyof AgencyData

// 代理商表格字段信息
interface AgencyFields extends BaseFieldInfo {
  name: AgencyKeys
}

// 广告管理中所有的表格数据类型
type AllTencentAccMgeTablesData =
  | AdvertiserData
  | BusinessManagerData
  | AgencyData

// 广告管理中所有的表格字段
type AllTencentAccMgeFields =
  | AdvertiserFields
  | BusinessManagerFields
  | AgencyFields

export type {
  AdvertiserData,
  BusinessManagerData,
  AgencyData,
  AdvertiserFields,
  BusinessManagerFields,
  AgencyFields,
  AllTencentAccMgeTablesData,
  AllTencentAccMgeFields,
}
