// 广告管理-腾讯广告表格数据及其字段
import type { BaseFieldInfo } from '../table'

// 媒体账户表格数据
interface MediaTableData {
  accountBalance: number // 账户余额
}

// 广告表格数据
interface AdTableData {
  project: string // 项目
}

// 创意表格数据
interface CreativityTableData {
  ad: string // 广告
}

// 媒体账户表格字段key
type MediaKeys = keyof MediaTableData

// 媒体账户表格字段信息
interface MediaTableFileds extends BaseFieldInfo {
  name: MediaKeys // 将字段名限制为AdmgeTTAccData中的key
}

// 广告表格字段Key
type AdKeys = keyof AdTableData

// 广告表格字段信息
interface AdFileds extends BaseFieldInfo {
  name: AdKeys
}

// 创意表格字段
type CreativityKeys = keyof CreativityTableData

// 创意表格字段信息
interface CreativityFileds extends BaseFieldInfo {
  name: CreativityKeys
}

// 腾讯广告管理中所有的表格数据类型
type AllAdMgeTencentTablesData =
  | MediaTableData
  | AdTableData
  | CreativityTableData

// 腾讯广告管理中所有的表格字段
type AllAdmgeTencentFields = MediaTableFileds | AdFileds | CreativityFileds

export type {
  MediaTableData,
  AdTableData,
  CreativityTableData,
  MediaTableFileds,
  AdFileds,
  CreativityFileds,
  AllAdMgeTencentTablesData,
  AllAdmgeTencentFields,
}
