import type { BaseFieldInfo } from '../table'
// 广告主账户表格数据
interface AdvertiserAccData {
  accountBalance: number
  accountFlow: number
}

// 管家账户表格数据
interface ManagerAccData {
  accountBalance: number
  accountFlow: number
}

// 代理商账户表格数据
interface AgencyAccData {
  accountBalance: number
  accountFlow: number
}

// 广告主账户表格字段key
type AdvertiserAccKeys = keyof AdvertiserAccData

// 广告主账户表格字段信息
interface AdvertiserAccFileds extends BaseFieldInfo {
  name: AdvertiserAccKeys
}

// 管家账户表格字段Key
type ManagerAccKeys = keyof ManagerAccData

// 管家账户表格字段信息
interface ManagerAccFileds extends BaseFieldInfo {
  name: ManagerAccKeys
}

// 代理商账户表格字段
type AgencyAccKeys = keyof AgencyAccData

// 代理商账户表格字段信息
interface AgencyAccFileds extends BaseFieldInfo {
  name: AgencyAccKeys
}

// 广告管理中所有的表格数据类型
type AllTtAccMgeTablesData = AdvertiserAccData | ManagerAccData | AgencyAccData

// 广告管理中所有的表格字段
type AllTtAccMgeFields =
  | AdvertiserAccFileds
  | ManagerAccFileds
  | AgencyAccFileds

export type {
  AdvertiserAccData,
  ManagerAccData,
  AgencyAccData,
  AdvertiserAccFileds,
  ManagerAccFileds,
  AgencyAccFileds,
  AllTtAccMgeTablesData,
  AllTtAccMgeFields,
}
