// 广告管理-巨量广告表格数据及其字段
import type { BaseFieldInfo } from '../table'

// 账户表格数据
interface AdmgeTTAccData {
  accountBalance: number // 账户余额
  accountFlow: number // 账户流动
  accountName: string // 账户名
  accountStatus: string // 账户状态
  action: string // 操作
  adAccountCount: number // 广告账户数量
  dailyBudget: number // 每日预算
  loginEmail: string // 登录邮箱
  mediaId: string // 媒体ID
}

// 项目表格数据
interface AdmgeTTProjData {
  project: string // 项目
  projectBudget: number // 项目预算(元)
  creationTime: Date // 创建时间
  projectBid: number // 项目出价(元)
  deepConversionBid: number // 深度转化出价(元)
  consumption: number // 消耗
  impressions: number // 展示数
  averageCpm: number // 平均千次展示费用
  clicks: number // 点击数
  clickThroughRate: number // 点击率
  conversions: number // 转化数
  conversionCost: number // 转化成本
  conversionRate: number // 转化率
  deepConversions: number // 深度转化数
  deepConversionCost: number // 深度转化成本
  deepConversionRate: number // 深度转化率
}

// 广告表格数据
interface AdmgeTTAdData {
  ad: string // 广告
  adBudget: number // 广告预算(元)
  rejectSuggestions: boolean // 拒绝建议
  adBid: number // 广告出价(元)
  deepConversionBid: number // 深度转化出价(元)
  consumption: number // 消耗
  impressions: number // 展示数
  averageCpm: number // 平均千次展现费用
  clicks: number // 点击数
  clickThroughRate: number // 点击率
  conversions: number // 转化数
  conversionCost: number // 转化成本
  conversionRate: number // 转化率
  deepConversions: number // 深度转化数
  deepConversionCost: number // 深度转化成本
  deepConversionRate: number // 深度转化率
}

// 账户表格字段key
type AdmgeTTAccKeys = keyof AdmgeTTAccData

// 账户表格字段信息
interface AdmgeTTAccFileds extends BaseFieldInfo {
  name: AdmgeTTAccKeys // 将字段名限制为AdmgeTTAccData中的key
}

// 项目表格字段Key
type AdmgeTTProjKeys = keyof AdmgeTTProjData

// 项目表格字段信息
interface AdmgeTTProjFileds extends BaseFieldInfo {
  name: AdmgeTTProjKeys
}

// 广告表格字段
type AdmgeTTAdKeys = keyof AdmgeTTAdData

// 广告表格字段信息
interface AdmgeTTAdFileds extends BaseFieldInfo {
  name: AdmgeTTAdKeys
}

// 巨量广告管理中所有的表格数据类型
type AllAdMgeTtTablesData = AdmgeTTAccData | AdmgeTTProjData | AdmgeTTAdData

// 巨量广告管理中所有的表格字段
type AllAdmgeTtFields = AdmgeTTAccFileds | AdmgeTTProjFileds | AdmgeTTAdFileds

export type {
  AllAdMgeTtTablesData,
  AllAdmgeTtFields,
  AdmgeTTAccData,
  AdmgeTTProjData,
  AdmgeTTAdData,
  AdmgeTTAccFileds,
  AdmgeTTProjFileds,
  AdmgeTTAdFileds,
}
