import type { BaseOption } from '@/types/HomeTypes'

export interface ProjectAnalysisData {
  stat_datetime: string // 日期时间字符串
  active: string // 活跃状态
  active_cost: string // 活跃成本
  active_rate: string // 活跃率
  click: string // 点击数
  cost: string // 成本
  cpc: string // 每次点击成本
  cpm: string // 千次展示成本
  ctr: string // 点击率
  pay_cost: string // 支付成本
  pay_count: string // 支付次数
  pay_rate: string // 支付率
  show_count: string // 展示次数
  conversion_num: string // 转换次数
  convert_cost: string // 每次转化成本
  convert_rate: string // 转化率
}

// 项目分析返回格式
export interface ProjectRes {
  data: Array<ProjectAnalysisData>
  media: Array<BaseOption> // 媒体
  project: Array<BaseOption> // 项目
  /**
   *  图例字段，用于切换表格展示的数据
   *  key 用于区分图例，value 为该图例可选择的字段
   */
  legend: Record<string, Array<BaseOption>>
}

// 产品分析数据
export interface ProductAnalysisData {
  cost: string // 消耗,相当于value
  cost2: string // 名称
  date: string // 生成类似 "2024-10-01" 格式的日期
}

export interface ProductAnalysisRes {
  data: Array<ProductAnalysisData>
  media: Array<BaseOption>
  dataSource: Array<BaseOption>
  legend: Record<string, Array<BaseOption>>
}

type HomeAnalysisChartData = ProjectAnalysisData | ProductAnalysisData

interface LegendInfo {
  value: string
  color: string
  cnName: string
}

export type { HomeAnalysisChartData, LegendInfo }
